Bug 136012 - vixie-cron is broken
vixie-cron is broken
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-10-16 15:35 EDT by Christopher Stone
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.9-1.637
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-20 10:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2004-10-16 15:35:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012

Description of problem:
man -k always returns nothing appropriate

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. man -k man


Actual Results:  man: nothing appropriate

Expected Results:  finds man pages apropos.

Additional info:
Comment 1 Christopher Stone 2004-10-18 17:14:55 EDT
hmm maybe this is a cron error? It appears my daily cronjobs are no
longer running for some reason.  
Comment 2 Christopher Stone 2004-10-18 21:01:40 EDT
okay, this is definately a cron error, my cron jobs are no longer
running!! The last time a cron job ran was on the 14th.  I even tried
restarting crond today to make sure it was running.
Comment 3 Jason Vas Dias 2004-10-19 09:43:04 EDT
What is the problem here ? 
1. man-page problem
'man -k man' will return a list of all man-pages containing 'man'
in the title - this will be all of them. To get more useful results,
specify a more specific string than 'man'.

2. cron problem:
What version of cron are you running ?  (rpm -q vixie-cron) ?
Where are the cron jobs that are not being run:
A) in your /var/spool/cron/${user}  crontab ?
B) in /etc/cron.d/ ?
Please, as root, 'ls -l ' the file containing the cron jobs that 
are not being run. Is it a link ? (vixie-cron will not run jobs
from crontab files that are links). Please append the 'ls -l' output
and the output of 'tail -100 /var/log/cron' to this bug.

Jason Vas Dias. 

Comment 4 Christopher Stone 2004-10-19 12:23:09 EDT
1) man -k is no longer working for me because the makewhatis cron job
is no longer running (this is the first thing I noticed, and later
discovered it to be a cron issue).  I eventually ran makewhatis by
hand to get the man -k to work.

2) vixie-cron-4.1-19
2A&B) So far I have noticed that the makewhatis and updatedb cron jobs
were not being run, there may be others as well.  I restarted
vixie-cron yesterday afternoon, and this may have fixed some things as
it looks like log-rotate is now working (note: crond was already
running when I did the restart, I made sure that I wasn't doing
something stupid like not having crond running):

# ll /var/log/cron*
-rw-------  1 root root    405 Oct 19 09:01 /var/log/cron
-rw-------  1 root root 186883 Oct 19 04:02 /var/log/cron.1
-rw-------  1 root root 242949 Oct 10 04:02 /var/log/cron.2
-rw-------  1 root root 243357 Oct  3 04:02 /var/log/cron.3
-rw-------  1 root root 242827 Sep 26 04:02 /var/log/cron.4

you will notice that logrotate did not run on the 17th or 18th, but
did run on the 19th.  root's cronjobs did not run yesterday even after
the restart.  I have root cronjobs that run at 6pm PST (must be run at
this time, I can't move those up sooner to test, but I will let you
know if they run tonight).  The contents of /var/log/cron so far just
shows the cron.hourly cron jobs running (but I don't have any hourly
cronjobs so unable to test if these are working).

Comment 5 Jason Vas Dias 2004-10-19 13:42:46 EDT
Aha! I see the problem now - it appears to be a problem with
the kernel and / or glibc - the same vixie-cron-4.1-19 will not 
run ANY system cron jobs under 
kernel-2.6.8-1.624 / glibc-2.3.3-68, but works fine under
kernel-2.6.8-1.603 / glibc-2.3.3-66 .
Am now investigating as top priority and will find a solution today .
Comment 6 Christopher Stone 2004-10-19 13:47:29 EDT
Cool, FYI here is what I am running:


I am in the process of updating to glibc-2.3.3-70 as I type this.
Comment 7 Jason Vas Dias 2004-10-19 15:23:53 EDT
 The culprit is kernel-2.6.8-1.624, which introduced a bug with 
 opening files in 'O_NONBLOCK' mode; vixie-cron has always opened
 its files with 'O_NONBLOCK' - with the .624 kernel, it "reads" 
 its files, but all the reads fail, so cron thinks it read no data.
 kernel-2.6.9-1.635 is MEANT to be released today ; install that 
 kernel (or go back to kernel-2.6.8-1.603) and you should have no
Comment 8 Jason Vas Dias 2004-10-20 10:05:51 EDT
 This is now fixed with kernel-2.6.9-1.637 .

Note You need to log in before you can comment on or make changes to this bug.